BindEventListenerAdapter (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.binding

## [Groovy] Class BindEventListenerAdapter

- org.codehaus.groovy.grails.web.binding.BindEventListenerAdapter

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.InitializingBean

      @groovy.transform.CompileStatic
      @groovy.util.logging.Commons
      class BindEventListenerAdapter
      extends DataBindingListenerAdapter

  An adapter which supports notifying BindEventListener instances of binding events generated by the Grails 2.3 data binder. Note that the BindEventListener interface defines a doBind method which accepts some parameters which make sense in the Spring data binder but do not make sense in the Grails 2.3 data binder. This adapter invokes the doBind method and passes null for the MutablePropertyValues and TypeConverter arguments. The only real value passed to the doBind method is the object being bound to, which is often all that is needed. For more flexible binding event notification applications should convert their BindEventListener listeners to DataBindingListener listeners.

  Authors:
    Jeff Brown
  See Also:
    DataBindingListener
    DataBindingListenerAdapter
    BindEventListener
  Since:
    2.3.2

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<BindEventListener>` | `listeners`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterPropertiesSet()`
    `java.lang.Boolean` | `beforeBinding(java.lang.Object obj, java.lang.Object errors)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DataBindingListenerAdapter` | `afterBinding, afterBinding, beforeBinding, beforeBinding, bindingError, supports`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired(required=false) java.util.List<BindEventListener> listeners

  - ### Method Detail

    - #### @java.lang.Override void afterPropertiesSet()

    - #### @java.lang.Override java.lang.Boolean beforeBinding(java.lang.Object obj, java.lang.Object errors)